!
! ********************************************************************
! *                                                                  *
! *  Copyright 2001 Compaq Computer Corporation                      *
! *                                                                  *
! *  COMPAQ Registered in U.S. Patent and Trademark Office.          *
! *                                                                  *
! *  Confidential computer software. Valid license from Compaq or    *
! *  authorized sublicensor required for possession, use or copying. *
! *  Consistent with FAR 12.211 and 12.212, Commercial Computer      *
! *  Software, Computer Software Documentation, and Technical Data   *
! *  for Commercial Items are licensed to the U.S. Government under  *
! *  vendor's standard commercial license.                           *
! *                                                                  *
! ********************************************************************
!
!DEC$ IF .NOT. DEFINED (COMCTL32_ )
!DEC$ DEFINE xCOMCTL32_  
!
!
!
!         *****COMCTL32.LIB Interfaces*****
! 
!     This module defines routine interfaces to the Windows APIs
!     for both the 32-bit (_M_IX86) and 64-bit (_M_IA64) versions of the
!     NT4 and WIN2000 operating systems.  
!
!     The base for this version is: 
!
!           Microsoft Platform Software Development Kit (SDK)
!                Win64 Pre-alpha February 2000
!
!     As with the C header files distributed with the SDK, there
!     is only one common set of files for both 64-bit and 32-bit
!     operating systems.
!   
!     Within the Fortran versions of the header files, the
!     following symbols are used to control the compilation.
! 
!     _M_IX86 conditionally compiles items for 64 bit systems.
!     _M_IA64 conditionally compiles items for 32 bit systesm.
!
!     Known problems: 
!
!07-12-00
!
module comctl32
use dfwinty
!DEC$OBJCOMMENT LIB:"COMCTL32.LIB"
!
INTERFACE 
FUNCTION CreatePropertySheetPage( &
        arg1)
USE DFWINTY
 integer(LPVOID):: CreatePropertySheetPage ! HPROPSHEETPAGE
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreatePropertySheetPageA' :: CreatePropertySheetPage
!DEC$ ATTRIBUTES REFERENCE :: arg1
  type(T_PROPSHEETPAGE)  arg1 ! LPCPROPSHEETPAGEA arg1
 END FUNCTION
END INTERFACE
INTERFACE 
!DEC$ IF DEFINED( _M_IA64)
FUNCTION CreatePropertySheetPageW( &
        arg1)
USE DFWINTY
 integer(LPVOID):: CreatePropertySheetPageW ! HPROPSHEETPAGE
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreatePropertySheetPageW' :: CreatePropertySheetPageW
!DEC$ ATTRIBUTES REFERENCE :: arg1
  type(T_PROPSHEETPAGEW)  arg1 ! LPCPROPSHEETPAGEW arg1
 END FUNCTION
END INTERFACE
INTERFACE 
!DEC$ ENDIF
FUNCTION DestroyPropertySheetPage( &
        arg1)
USE DFWINTY
  integer(BOOL) :: DestroyPropertySheetPage ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DestroyPropertySheetPage' :: DestroyPropertySheetPage
  integer(LPVOID)  arg1 ! HPROPSHEETPAGE arg1
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION PropertySheet( &
        arg1)
USE DFWINTY
  integer(INT_PTR) :: PropertySheet ! INT_PTR
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'PropertySheetA' :: PropertySheet
!DEC$ ATTRIBUTES REFERENCE :: arg1
  type(T_PROPSHEETHEADER)  arg1 ! LPCPROPSHEETHEADERA arg1
 END FUNCTION
END INTERFACE
INTERFACE 
!DEC$ IF DEFINED( _M_IA64)
FUNCTION PropertySheetW( &
        arg1)
USE DFWINTY
  integer(INT_PTR) :: PropertySheetW ! INT_PTR
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'PropertySheetW' :: PropertySheetW
!DEC$ ATTRIBUTES REFERENCE :: arg1
  type(T_PROPSHEETHEADERW)  arg1 ! LPCPROPSHEETHEADERW arg1
 END FUNCTION
END INTERFACE
INTERFACE 
!DEC$ ENDIF
   SUBROUTINE InitCommonControls( &
             )
USE DFWINTY
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'InitCommonControls' :: InitCommonControls
 END SUBROUTINE
END INTERFACE
INTERFACE 
FUNCTION InitCommonControlsEx( &
        arg1)
USE DFWINTY
  integer(BOOL) :: InitCommonControlsEx ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'InitCommonControlsEx' :: InitCommonControlsEx
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg1
  TYPE (T_INITCOMMONCONTROLSEX) arg1 ! LPINITCOMMONCONTROLSEX arg1
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ImageList_Create( &
        cx, &
        cy, &
        flags, &
        cInitial, &
        cGrow)
USE DFWINTY
 integer(LPVOID):: ImageList_Create ! HIMAGELIST
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ImageList_Create' :: ImageList_Create
  integer(SINT) cx ! int cx
  integer(SINT) cy ! int cy
  integer(UINT) flags ! UINT flags
  integer(SINT) cInitial ! int cInitial
  integer(SINT) cGrow ! int cGrow
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ImageList_Destroy( &
        himl)
USE DFWINTY
  integer(BOOL) :: ImageList_Destroy ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ImageList_Destroy' :: ImageList_Destroy
     integer(LPVOID) himl ! HIMAGELIST himl
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ImageList_GetImageCount( &
        himl)
USE DFWINTY
  integer(SINT) :: ImageList_GetImageCount ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ImageList_GetImageCount' :: ImageList_GetImageCount
    integer(LPVOID)  himl ! HIMAGELIST himl
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ImageList_SetImageCount( &
        himl, &
        uNewCount)
USE DFWINTY
  integer(BOOL) :: ImageList_SetImageCount ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ImageList_SetImageCount' :: ImageList_SetImageCount
    integer(LPVOID) himl ! HIMAGELIST himl
  integer(UINT) uNewCount ! UINT uNewCount
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ImageList_Add( &
        himl, &
        hbmImage, &
        hbmMask)
USE DFWINTY
  integer(SINT) :: ImageList_Add ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ImageList_Add' :: ImageList_Add
  integer(LPVOID) himl     ! HIMAGELIST himl
  integer(HANDLE) hbmImage ! HBITMAP hbmImage
  integer(HANDLE) hbmMask ! HBITMAP hbmMask
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ImageList_ReplaceIcon( &
        himl, &
        i, &
        hicon)
USE DFWINTY
  integer(SINT) :: ImageList_ReplaceIcon ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ImageList_ReplaceIcon' :: ImageList_ReplaceIcon
  integer(LPVOID)  himl ! HIMAGELIST himl
  integer(SINT) i ! int i
  integer(HANDLE) hicon ! HICON hicon
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ImageList_SetBkColor( &
        himl, &
        clrBk)
USE DFWINTY
  integer(ULONG) :: ImageList_SetBkColor ! COLORREF
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ImageList_SetBkColor' :: ImageList_SetBkColor
  integer(LPVOID) himl ! HIMAGELIST himl
  integer(ULONG) clrBk ! COLORREF clrBk
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ImageList_GetBkColor( &
        himl)
USE DFWINTY
  integer(ULONG) :: ImageList_GetBkColor ! COLORREF
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ImageList_GetBkColor' :: ImageList_GetBkColor
     integer(LPVOID) himl ! HIMAGELIST himl
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ImageList_SetOverlayImage( &
        himl, &
        iImage, &
        iOverlay)
USE DFWINTY
  integer(BOOL) :: ImageList_SetOverlayImage ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ImageList_SetOverlayImage' :: ImageList_SetOverlayImage
  integer(LPVOID) himl ! HIMAGELIST himl
  integer(SINT) iImage ! int iImage
  integer(SINT) iOverlay ! int iOverlay
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ImageList_Draw( &
        himl, &
        i, &
        hdcDst, &
        x, &
        y, &
        fStyle)
USE DFWINTY
  integer(BOOL) :: ImageList_Draw ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ImageList_Draw' :: ImageList_Draw
  integer(LPVOID) himl ! HIMAGELIST himl
  integer(SINT) i ! int i
  integer(HANDLE) hdcDst ! HDC hdcDst
  integer(SINT) x ! int x
  integer(SINT) y ! int y
  integer(UINT) fStyle ! UINT fStyle
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ImageList_Replace( &
        himl, &
        i, &
        hbmImage, &
        hbmMask)
USE DFWINTY
  integer(BOOL) :: ImageList_Replace ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ImageList_Replace' :: ImageList_Replace
  integer(LPVOID) himl ! HIMAGELIST himl
  integer(SINT) i ! int i
  integer(HANDLE) hbmImage ! HBITMAP hbmImage
  integer(HANDLE) hbmMask ! HBITMAP hbmMask
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ImageList_AddMasked( &
        himl, &
        hbmImage, &
        crMask)
USE DFWINTY
  integer(SINT) :: ImageList_AddMasked ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ImageList_AddMasked' :: ImageList_AddMasked
  integer(LPVOID)  himl ! HIMAGELIST himl
  integer(HANDLE) hbmImage ! HBITMAP hbmImage
  integer(ULONG) crMask ! COLORREF crMask
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ImageList_DrawEx( &
        himl, &
        i, &
        hdcDst, &
        x, &
        y, &
        dx, &
        dy, &
        rgbBk, &
        rgbFg, &
        fStyle)
USE DFWINTY
  integer(BOOL) :: ImageList_DrawEx ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ImageList_DrawEx' :: ImageList_DrawEx
  integer(LPVOID)  himl ! HIMAGELIST himl
  integer(SINT) i ! int i
  integer(HANDLE) hdcDst ! HDC hdcDst
  integer(SINT) x ! int x
  integer(SINT) y ! int y
  integer(SINT) dx ! int dx
  integer(SINT) dy ! int dy
  integer(ULONG) rgbBk ! COLORREF rgbBk
  integer(ULONG) rgbFg ! COLORREF rgbFg
  integer(UINT) fStyle ! UINT fStyle
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ImageList_DrawIndirect( &
        pimldp)
USE DFWINTY
  integer(BOOL) :: ImageList_DrawIndirect ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ImageList_DrawIndirect' :: ImageList_DrawIndirect
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: pimldp
  TYPE (T_IMAGELISTDRAWPARAMS)  pimldp ! IMAGELISTDRAWPARAMS*  pimldp
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ImageList_Remove( &
        himl, &
        i)
USE DFWINTY
  integer(BOOL) :: ImageList_Remove ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ImageList_Remove' :: ImageList_Remove
  integer(LPVOID)  himl ! HIMAGELIST himl
  integer(SINT) i ! int i
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ImageList_GetIcon( &
        himl, &
        i, &
        flags)
USE DFWINTY
  integer(HANDLE) :: ImageList_GetIcon ! HICON
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ImageList_GetIcon' :: ImageList_GetIcon
  integer(LPVOID)  himl ! HIMAGELIST himl
  integer(SINT) i ! int i
  integer(UINT) flags ! UINT flags
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ImageList_LoadImage( &
        hi, &
        lpbmp, &
        cx, &
        cGrow, &
        crMask, &
        uType, &
        uFlags)
USE DFWINTY
 integer(LPVOID):: ImageList_LoadImage ! HIMAGELIST
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ImageList_LoadImageA' :: ImageList_LoadImage
  integer(HANDLE) hi ! HINSTANCE hi
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpbmp
  character*(*) lpbmp ! LPCSTR lpbmp
  integer(SINT) cx ! int cx
  integer(SINT) cGrow ! int cGrow
  integer(ULONG) crMask ! COLORREF crMask
  integer(UINT) uType ! UINT uType
  integer(UINT) uFlags ! UINT uFlags
 END FUNCTION
END INTERFACE
INTERFACE 
!DEC$ IF DEFINED( _M_IA64)
FUNCTION ImageList_LoadImageW( &
        hi, &
        lpbmp, &
        cx, &
        cGrow, &
        crMask, &
        uType, &
        uFlags)
USE DFWINTY
 integer(LPVOID):: ImageList_LoadImageW ! HIMAGELIST
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ImageList_LoadImageW' :: ImageList_LoadImageW
  integer(HANDLE) hi ! HINSTANCE hi
!DEC$ ATTRIBUTES REFERENCE, IGNORE_LOC, ALLOW_NULL :: lpbmp
  integer(WCHAR)lpbmp(*) ! LPCWSTR lpbmp
  integer(SINT) cx ! int cx
  integer(SINT) cGrow ! int cGrow
  integer(ULONG) crMask ! COLORREF crMask
  integer(UINT) uType ! UINT uType
  integer(UINT) uFlags ! UINT uFlags
 END FUNCTION
END INTERFACE
INTERFACE 
!DEC$ ENDIF
FUNCTION ImageList_Copy( &
        himlDst, &
        iDst, &
        himlSrc, &
        iSrc, &
        uFlags)
USE DFWINTY
  integer(BOOL) :: ImageList_Copy ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ImageList_Copy' :: ImageList_Copy
  integer(LPVOID)  himlDst ! HIMAGELIST himlDst
  integer(SINT) iDst ! int iDst
  integer(LPVOID)  himlSrc ! HIMAGELIST himlSrc
  integer(SINT) iSrc ! int iSrc
  integer(UINT) uFlags ! UINT uFlags
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ImageList_BeginDrag( &
        himlTrack, &
        iTrack, &
        dxHotspot, &
        dyHotspot)
USE DFWINTY
  integer(BOOL) :: ImageList_BeginDrag ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ImageList_BeginDrag' :: ImageList_BeginDrag
  integer(LPVOID)  himlTrack ! HIMAGELIST himlTrack
  integer(SINT) iTrack ! int iTrack
  integer(SINT) dxHotspot ! int dxHotspot
  integer(SINT) dyHotspot ! int dyHotspot
 END FUNCTION
END INTERFACE
INTERFACE 
   SUBROUTINE ImageList_EndDrag( &
             )
USE DFWINTY
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ImageList_EndDrag' :: ImageList_EndDrag
 END SUBROUTINE
END INTERFACE
INTERFACE 
FUNCTION ImageList_DragEnter( &
        hwndLock, &
        x, &
        y)
USE DFWINTY
  integer(BOOL) :: ImageList_DragEnter ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ImageList_DragEnter' :: ImageList_DragEnter
  integer(HANDLE) hwndLock ! HWND hwndLock
  integer(SINT) x ! int x
  integer(SINT) y ! int y
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ImageList_DragLeave( &
        hwndLock)
USE DFWINTY
  integer(BOOL) :: ImageList_DragLeave ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ImageList_DragLeave' :: ImageList_DragLeave
  integer(HANDLE) hwndLock ! HWND hwndLock
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ImageList_DragMove( &
        x, &
        y)
USE DFWINTY
  integer(BOOL) :: ImageList_DragMove ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ImageList_DragMove' :: ImageList_DragMove
  integer(SINT) x ! int x
  integer(SINT) y ! int y
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ImageList_SetDragCursorImage( &
        himlDrag, &
        iDrag, &
        dxHotspot, &
        dyHotspot)
USE DFWINTY
  integer(BOOL) :: ImageList_SetDragCursorImage ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ImageList_SetDragCursorImage' :: ImageList_SetDragCursorImage
  integer(LPVOID)  himlDrag ! HIMAGELIST himlDrag
  integer(SINT) iDrag ! int iDrag
  integer(SINT) dxHotspot ! int dxHotspot
  integer(SINT) dyHotspot ! int dyHotspot
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ImageList_DragShowNolock( &
        fShow)
USE DFWINTY
  integer(BOOL) :: ImageList_DragShowNolock ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ImageList_DragShowNolock' :: ImageList_DragShowNolock
  integer(BOOL) fShow ! BOOL fShow
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ImageList_GetDragImage( &
        ppt, &
        pptHotspot)
USE DFWINTY
 integer(LPVOID):: ImageList_GetDragImage ! HIMAGELIST
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ImageList_GetDragImage' :: ImageList_GetDragImage
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: ppt
  TYPE (T_POINT)  ppt ! POINT*  ppt
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: pptHotspot
  TYPE (T_POINT)  pptHotspot ! POINT*  pptHotspot
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ImageList_Read( &
        pstm)
USE DFWINTY
 integer(LPVOID):: ImageList_Read ! HIMAGELIST
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ImageList_Read' :: ImageList_Read
!DEC$ ATTRIBUTES REFERENCE, IGNORE_LOC :: pstm
  type(T_IStream)  pstm ! LPSTREAM pstm
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ImageList_Write( &
        himl, &
        pstm)
USE DFWINTY
  integer(BOOL) :: ImageList_Write ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ImageList_Write' :: ImageList_Write
  integer(LPVOID) himl ! HIMAGELIST himl
!DEC$ ATTRIBUTES REFERENCE, IGNORE_LOC :: pstm
  type(T_IStream)  pstm ! LPSTREAM pstm
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ImageList_GetIconSize( &
        himl, &
        cx, &
        cy)
USE DFWINTY
  integer(BOOL) :: ImageList_GetIconSize ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ImageList_GetIconSize' :: ImageList_GetIconSize
  integer(LPVOID)  himl ! HIMAGELIST himl
!DEC$ ATTRIBUTES REFERENCE :: cx
  integer(SINT) cx ! int* cx
!DEC$ ATTRIBUTES REFERENCE :: cy
  integer(SINT) cy ! int* cy
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ImageList_SetIconSize( &
        himl, &
        cx, &
        cy)
USE DFWINTY
  integer(BOOL) :: ImageList_SetIconSize ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ImageList_SetIconSize' :: ImageList_SetIconSize
  integer(LPVOID)  himl ! HIMAGELIST himl
  integer(SINT) cx ! int cx
  integer(SINT) cy ! int cy
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ImageList_GetImageInfo( &
        himl, &
        i, &
        pImageInfo)
USE DFWINTY
  integer(BOOL) :: ImageList_GetImageInfo ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ImageList_GetImageInfo' :: ImageList_GetImageInfo
  integer(LPVOID)  himl ! HIMAGELIST himl
  integer(SINT) i ! int i
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: pImageInfo
  TYPE (T_IMAGEINFO)  pImageInfo ! IMAGEINFO*  pImageInfo
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ImageList_Merge( &
        himl1, &
        i1, &
        himl2, &
        i2, &
        dx, &
        dy)
USE DFWINTY
 integer(LPVOID):: ImageList_Merge ! HIMAGELIST
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ImageList_Merge' :: ImageList_Merge
  integer(LPVOID)  himl1 ! HIMAGELIST himl1
  integer(SINT) i1 ! int i1
  integer(LPVOID)  himl2 ! HIMAGELIST himl2
  integer(SINT) i2 ! int i2
  integer(SINT) dx ! int dx
  integer(SINT) dy ! int dy
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ImageList_Duplicate( &
        himl)
USE DFWINTY
 integer(LPVOID):: ImageList_Duplicate ! HIMAGELIST
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ImageList_Duplicate' :: ImageList_Duplicate
  integer(LPVOID)  himl ! HIMAGELIST himl
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION CreateToolbarEx( &
        hwnd, &
        ws, &
        wID, &
        nBitmaps, &
        hBMInst, &
        wBMID, &
        lpButtons, &
        iNumButtons, &
        dxButton, &
        dyButton, &
        dxBitmap, &
        dyBitmap, &
        uStructSize)
USE DFWINTY
  integer(HANDLE) :: CreateToolbarEx ! HWND
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreateToolbarEx' :: CreateToolbarEx
  integer(HANDLE) hwnd ! HWND hwnd
  integer(DWORD) ws ! DWORD ws
  integer(UINT) wID ! UINT wID
  integer(SINT) nBitmaps ! int nBitmaps
  integer(HANDLE) hBMInst ! HINSTANCE hBMInst
  integer(UINT_PTR) wBMID ! UINT_PTR wBMID
!DEC$ ATTRIBUTES REFERENCE :: lpButtons
  type(T_TBBUTTON), dimension(*) :: lpButtons ! LPCTBBUTTON lpButtons
  integer(SINT) iNumButtons ! int iNumButtons
  integer(SINT) dxButton ! int dxButton
  integer(SINT) dyButton ! int dyButton
  integer(SINT) dxBitmap ! int dxBitmap
  integer(SINT) dyBitmap ! int dyBitmap
  integer(UINT) uStructSize ! UINT uStructSize
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION CreateMappedBitmap( &
        hInstance, &
        idBitmap, &
        wFlags, &
        lpColorMap, &
        iNumMaps)
USE DFWINTY
  integer(HANDLE) :: CreateMappedBitmap ! HBITMAP
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreateMappedBitmap' :: CreateMappedBitmap
  integer(HANDLE) hInstance ! HINSTANCE hInstance
  integer(INT_PTR) idBitmap ! INT_PTR idBitmap
  integer(UINT) wFlags ! UINT wFlags
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpColorMap
  TYPE (T_COLORMAP) lpColorMap ! LPCOLORMAP lpColorMap
  integer(SINT) iNumMaps ! int iNumMaps
 END FUNCTION
END INTERFACE
INTERFACE 
   SUBROUTINE DrawStatusText( &
        hDC, &
        lprc, &
        pszText, &
        uFlags)
USE DFWINTY
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DrawStatusTextA' :: DrawStatusText
  integer(HANDLE) hDC ! HDC hDC
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lprc
  TYPE (T_RECT) lprc ! LPRECT lprc
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: pszText
  character*(*) pszText ! LPCSTR pszText
  integer(UINT) uFlags ! UINT uFlags
 END SUBROUTINE
END INTERFACE
INTERFACE 
!DEC$ IF DEFINED( _M_IA64)
   SUBROUTINE DrawStatusTextW( &
        hDC, &
        lprc, &
        pszText, &
        uFlags)
USE DFWINTY
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DrawStatusTextW' :: DrawStatusTextW
  integer(HANDLE) hDC ! HDC hDC
!DEC$ ATTRIBUTES REFERENCE, IGNORE_LOC, ALLOW_NULL :: lprc
  TYPE (T_RECT) lprc ! LPRECT lprc
!DEC$ ATTRIBUTES REFERENCE, IGNORE_LOC, ALLOW_NULL :: pszText
  integer(WCHAR) pszText(*) ! LPCWSTR pszText
  integer(UINT) uFlags ! UINT uFlags
 END SUBROUTINE
END INTERFACE
INTERFACE 
!DEC$ ENDIF
FUNCTION CreateStatusWindow( &
        style, &
        lpszText, &
        hwndParent, &
        wID)
USE DFWINTY
  integer(HANDLE) :: CreateStatusWindow ! HWND
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreateStatusWindowA' :: CreateStatusWindow
  integer(LONG) style ! LONG style
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpszText
  character*(*) lpszText ! LPCSTR lpszText
  integer(HANDLE) hwndParent ! HWND hwndParent
  integer(UINT) wID ! UINT wID
 END FUNCTION
END INTERFACE
INTERFACE 
!DEC$ IF DEFINED( _M_IA64)
FUNCTION CreateStatusWindowW( &
        style, &
        lpszText, &
        hwndParent, &
        wID)
USE DFWINTY
  integer(HANDLE) :: CreateStatusWindowW ! HWND
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreateStatusWindowW' :: CreateStatusWindowW
  integer(LONG) style ! LONG style
!DEC$ ATTRIBUTES REFERENCE, IGNORE_LOC, ALLOW_NULL :: lpszText
  integer(WCHAR) lpszText(*) ! LPCWSTR lpszText
  integer(HANDLE) hwndParent ! HWND hwndParent
  integer(UINT) wID ! UINT wID
 END FUNCTION
END INTERFACE
INTERFACE 
!DEC$ ENDIF
   SUBROUTINE MenuHelp( &
        uMsg, &
        wParam, &
        lParam, &
        hMainMenu, &
        hInst, &
        hwndStatus, &
        lpwIDs)
USE DFWINTY
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'MenuHelp' :: MenuHelp
  integer(UINT) uMsg ! UINT uMsg
  integer(UINT_PTR) wParam ! WPARAM wParam
  integer(LONG_PTR) lParam ! LPARAM lParam
  integer(HANDLE) hMainMenu ! HMENU hMainMenu
  integer(HANDLE) hInst ! HINSTANCE hInst
  integer(HANDLE) hwndStatus ! HWND hwndStatus
!DEC$ ATTRIBUTES REFERENCE :: lpwIDs
  integer(UINT) lpwIDs ! UINT* lpwIDs
 END SUBROUTINE
END INTERFACE
INTERFACE 
FUNCTION ShowHideMenuCtl( &
        hWnd, &
        uFlags, &
        lpInfo)
USE DFWINTY
  integer(BOOL) :: ShowHideMenuCtl ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ShowHideMenuCtl' :: ShowHideMenuCtl
  integer(HANDLE) hWnd ! HWND hWnd
  integer(UINT_PTR) uFlags ! UINT_PTR uFlags
!DEC$ ATTRIBUTES REFERENCE, IGNORE_LOC :: lpInfo
  integer(SINT) lpInfo ! LPINT lpInfo
 END FUNCTION
END INTERFACE
INTERFACE 
   SUBROUTINE GetEffectiveClientRect( &
        hWnd, &
        lprc, &
        lpInfo)
USE DFWINTY
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetEffectiveClientRect' :: GetEffectiveClientRect
  integer(HANDLE) hWnd ! HWND hWnd
!DEC$ ATTRIBUTES REFERENCE, IGNORE_LOC, ALLOW_NULL :: lprc
  TYPE (T_RECT) lprc ! LPRECT lprc
!DEC$ ATTRIBUTES REFERENCE, IGNORE_LOC :: lpInfo
  integer(SINT) lpInfo ! LPINT lpInfo
 END SUBROUTINE
END INTERFACE
INTERFACE 
FUNCTION MakeDragList( &
        hLB)
USE DFWINTY
  integer(BOOL) :: MakeDragList ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'MakeDragList' :: MakeDragList
  integer(HANDLE) hLB ! HWND hLB
 END FUNCTION
END INTERFACE
INTERFACE 
   SUBROUTINE DrawInsert( &
        handParent, &
        hLB, &
        nItem)
USE DFWINTY
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DrawInsert' :: DrawInsert
  integer(HANDLE) handParent ! HWND handParent
  integer(HANDLE) hLB ! HWND hLB
  integer(SINT) nItem ! int nItem
 END SUBROUTINE
END INTERFACE
INTERFACE 
FUNCTION LBItemFromPt( &
        hLB, &
        pt, &
        bAutoScroll)
USE DFWINTY
  integer(SINT) :: LBItemFromPt ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'LBItemFromPt' :: LBItemFromPt
  integer(HANDLE) hLB ! HWND hLB
  TYPE (T_POINT) pt ! POINT pt
  integer(BOOL) bAutoScroll ! BOOL bAutoScroll
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION CreateUpDownControl( &
        dwStyle, &
        x, &
        y, &
        cx, &
        cy, &
        hParent, &
        nID, &
        hInst, &
        hBuddy, &
        nUpper, &
        nLower, &
        nPos)
USE DFWINTY
  integer(HANDLE) :: CreateUpDownControl ! HWND
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreateUpDownControl' :: CreateUpDownControl
  integer(DWORD) dwStyle ! DWORD dwStyle
  integer(SINT) x ! int x
  integer(SINT) y ! int y
  integer(SINT) cx ! int cx
  integer(SINT) cy ! int cy
  integer(HANDLE) hParent ! HWND hParent
  integer(SINT) nID ! int nID
  integer(HANDLE) hInst ! HINSTANCE hInst
  integer(HANDLE) hBuddy ! HWND hBuddy
  integer(SINT) nUpper ! int nUpper
  integer(SINT) nLower ! int nLower
  integer(SINT) nPos ! int nPos
 END FUNCTION
END INTERFACE
INTERFACE 
   SUBROUTINE InitMUILanguage( &
        uiLang)
USE DFWINTY
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'InitMUILanguage' :: InitMUILanguage
  integer(USHORT) uiLang ! LANGID uiLang
 END SUBROUTINE
END INTERFACE
INTERFACE 
FUNCTION GetMUILanguage( &
             )
USE DFWINTY
  integer(USHORT) :: GetMUILanguage ! LANGID
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetMUILanguage' :: GetMUILanguage
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION f_TrackMouseEvent( &
        lpEventTrack)
USE DFWINTY
  integer(BOOL) :: f_TrackMouseEvent ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'_TrackMouseEvent' :: f_TrackMouseEvent
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpEventTrack
  TYPE (T_TRACKMOUSEEVENT) lpEventTrack ! LPTRACKMOUSEEVENT lpEventTrack
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION FlatSB_EnableScrollBar( &
        arg1, &
        arg2, &
        arg3)
USE DFWINTY
  integer(BOOL) :: FlatSB_EnableScrollBar ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'FlatSB_EnableScrollBar' :: FlatSB_EnableScrollBar
  integer(HANDLE) arg1 ! HWND arg1
  integer(SINT) arg2 ! int arg2
  integer(UINT) arg3 ! UINT arg3
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION FlatSB_ShowScrollBar( &
        arg1, &
        code, &
        arg3)
USE DFWINTY
  integer(BOOL) :: FlatSB_ShowScrollBar ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'FlatSB_ShowScrollBar' :: FlatSB_ShowScrollBar
  integer(HANDLE) arg1 ! HWND arg1
  integer(SINT) code ! int code
  integer(BOOL) arg3 ! BOOL arg3
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION FlatSB_GetScrollRange( &
        arg1, &
        code, &
        arg3, &
        arg4)
USE DFWINTY
  integer(BOOL) :: FlatSB_GetScrollRange ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'FlatSB_GetScrollRange' :: FlatSB_GetScrollRange
  integer(HANDLE) arg1 ! HWND arg1
  integer(SINT) code ! int code
!DEC$ ATTRIBUTES REFERENCE :: arg3
  integer(SINT) arg3 ! LPINT arg3
!DEC$ ATTRIBUTES REFERENCE :: arg4
  integer(SINT) arg4 ! LPINT arg4
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION FlatSB_GetScrollInfo( &
        arg1, &
        code, &
        arg3)
USE DFWINTY
  integer(BOOL) :: FlatSB_GetScrollInfo ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'FlatSB_GetScrollInfo' :: FlatSB_GetScrollInfo
  integer(HANDLE) arg1 ! HWND arg1
  integer(SINT) code ! int code
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg3
  TYPE (T_SCROLLINFO) arg3 ! LPSCROLLINFO arg3
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION FlatSB_GetScrollPos( &
        arg1, &
        code)
USE DFWINTY
  integer(SINT) :: FlatSB_GetScrollPos ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'FlatSB_GetScrollPos' :: FlatSB_GetScrollPos
  integer(HANDLE) arg1 ! HWND arg1
  integer(SINT) code ! int code
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION FlatSB_GetScrollProp( &
        arg1, &
        propIndex, &
        arg3)
USE DFWINTY
  integer(BOOL) :: FlatSB_GetScrollProp ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'FlatSB_GetScrollProp' :: FlatSB_GetScrollProp
  integer(HANDLE) arg1 ! HWND arg1
  integer(SINT) propIndex ! int propIndex
!DEC$ ATTRIBUTES REFERENCE :: arg3
  integer(SINT) arg3 ! LPINT arg3
 END FUNCTION
END INTERFACE
INTERFACE 
!DEC$ IF DEFINED( _M_IA64)
FUNCTION FlatSB_GetScrollPropPtr( &
        arg1, &
        propIndex, &
        arg3)
USE DFWINTY
  integer(BOOL) :: FlatSB_GetScrollPropPtr ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'FlatSB_GetScrollPropPtr' :: FlatSB_GetScrollPropPtr
  integer(HANDLE) arg1 ! HWND arg1
  integer(SINT) propIndex ! int propIndex
!DEC$ ATTRIBUTES REFERENCE :: arg3
  integer(LPVOID) arg3 ! PINT_PTR arg3
 END FUNCTION
END INTERFACE
INTERFACE 
!DEC$ ENDIF
FUNCTION FlatSB_SetScrollPos( &
        arg1, &
        code, &
        pos, &
        fRedraw)
USE DFWINTY
  integer(SINT) :: FlatSB_SetScrollPos ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'FlatSB_SetScrollPos' :: FlatSB_SetScrollPos
  integer(HANDLE) arg1 ! HWND arg1
  integer(SINT) code ! int code
  integer(SINT) pos ! int pos
  integer(BOOL) fRedraw ! BOOL fRedraw
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION FlatSB_SetScrollInfo( &
        arg1, &
        code, &
        arg3, &
        fRedraw)
USE DFWINTY
  integer(SINT) :: FlatSB_SetScrollInfo ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'FlatSB_SetScrollInfo' :: FlatSB_SetScrollInfo
  integer(HANDLE) arg1 ! HWND arg1
  integer(SINT) code ! int code
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg3
  TYPE (T_SCROLLINFO) arg3 ! LPSCROLLINFO arg3
  integer(BOOL) fRedraw ! BOOL fRedraw
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION FlatSB_SetScrollRange( &
        arg1, &
        code, &
        min, &
        max, &
        fRedraw)
USE DFWINTY
  integer(SINT) :: FlatSB_SetScrollRange ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'FlatSB_SetScrollRange' :: FlatSB_SetScrollRange
  integer(HANDLE) arg1 ! HWND arg1
  integer(SINT) code ! int code
  integer(SINT) min ! int min
  integer(SINT) max ! int max
  integer(BOOL) fRedraw ! BOOL fRedraw
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION FlatSB_SetScrollProp( &
        arg1, &
        index, &
        newValue, &
        arg4)
USE DFWINTY
  integer(BOOL) :: FlatSB_SetScrollProp ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'FlatSB_SetScrollProp' :: FlatSB_SetScrollProp
  integer(HANDLE) arg1 ! HWND arg1
  integer(UINT) index ! UINT index
  integer(INT_PTR) newValue ! INT_PTR newValue
  integer(BOOL) arg4 ! BOOL arg4
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION InitializeFlatSB( &
        arg1)
USE DFWINTY
  integer(BOOL) :: InitializeFlatSB ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'InitializeFlatSB' :: InitializeFlatSB
  integer(HANDLE) arg1 ! HWND arg1
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION UninitializeFlatSB( &
        arg1)
USE DFWINTY
  integer(LONG) :: UninitializeFlatSB ! HRESULT
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'UninitializeFlatSB' :: UninitializeFlatSB
  integer(HANDLE) arg1 ! HWND arg1
 END FUNCTION
END INTERFACE
end module COMCTL32
!DEC$ ENDIF ! /* COMCTL32_ */
